Bug 3395 - JSRef (SpiderMonkey) code must be built with -ieee on Tru64
: JSRef (SpiderMonkey) code must be built with -ieee on Tru64
Status: RESOLVED FIXED
: C WS Core
Serialization/Transport
: 4.0.0
: DEC OSF/1
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-23 14:26 by
Modified: 2008-01-11 15:35 (History)


Attachments
Enable "-ieee" for HP/Alpha platforms. (1.52 KB, patch)
2005-05-23 14:27, Jeff Forys
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-23 14:26:27
When building JSRef library (source-trees/wsrf/c/tools/js/source) on Tru64, the
"-ieee" compiler option must be specified to enable support for portable IEEE
arithmetic (denorms, NaNs).  Without this, programs (e.g. globus-wsdl-parser)
will fail with floating point exceptions.

The included patch to "configure.in" enables the "-ieee" (or "-mieee" for GCC)
compiler option on HP/Alpha platforms.
------- Comment #1 From 2005-05-23 14:27:19 -------
Created an attachment (id=619) [details]
Enable "-ieee" for HP/Alpha platforms.
------- Comment #2 From 2005-06-01 11:18:11 -------
I've committed this patch to 4.0 branch and trunk.

joe